/*----------------------------------------------------------------------------*/
/*  fd.h                                                                      */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef FD_H
#define FD_H
/*----------------------------------------------------------------------------*/
#include <qstring.h>
#include <qpopupmenu.h>
#include <qmainwindow.h>
#include <qaccel.h>
#include <qmenubar.h>
#include <qtoolbar.h>
#include <qpixmap.h>
#include <qtoolbutton.h>
#include <qapp.h>
#include <qstatusbar.h>
#include <qwhatsthis.h>
#include <qmsgbox.h>
#include <qfiledialog.h>
#include <qprinter.h>
#include <qpainter.h>
/*----------------------------------------------------------------------------*/
#include "resource.h"
/*----------------------------------------------------------------------------*/
class FD : public QWidget
{
	Q_OBJECT
public:
    FD();
    ~FD();
protected:
	void paintEvent( QPaintEvent* );
	void mouseMoveEvent( QMouseEvent* );
	void mousePressEvent( QMouseEvent* );
	void mouseReleaseEvent( QMouseEvent* );
private:
	bool ready;
	bool dragging, has_moved;
	int dx, dy;
	QTimer* timer;
	QPopupMenu* fdMenu;
	QString lastWords;
private slots:
	void checkClipboard();
	void fdMenuClicked( int );
	void fdMainMenuClicked( int );
	void updateItem( int );
	void deleteItem( int );
	void modifyItem( int );
	void moveItem( int, int );
};
/*----------------------------------------------------------------------------*/
#endif
