/*----------------------------------------------------------------------------*/
/*  fdcontents.h                                                              */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef FDCONTENTS_H
#define FDCONTENTS_H
/*----------------------------------------------------------------------------*/
#include <qlabel.h>
#include <qdialog.h>
#include "vdwidgets.h"
/*----------------------------------------------------------------------------*/
class FDContents : public QDialog
{
	Q_OBJECT
public:
	FDContents();
	~FDContents();
	void show( QString );
	void setTextColor();
	void setFont();
private:
	QLabel *word;
	bool showAbout;
private slots: // Private slots
	void historyNext();
	void historyPrev();
	void historyList();
	void reference( const QString& );
public slots:	
	void help();
protected:
	bool event( QEvent * );
};
/*----------------------------------------------------------------------------*/
#define FDClearSelection()  XSetSelectionOwner(qt_xdisplay(),XA_PRIMARY,None,0)
/*----------------------------------------------------------------------------*/
#endif
