/*----------------------------------------------------------------------------*/
/*  utf.h                                                                     */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef __UTF_H
#define __UTF_H
/*----------------------------------------------------------------------------*/
#define	utf_A		0x0041
#define	utf_A1		0x00C1
#define	utf_A2		0x00C0
#define	utf_A3		0x1EA2
#define	utf_A4		0x00C3
#define	utf_A5		0x1EA0
#define	utf_a		0x0061
#define	utf_a1		0x00E1
#define	utf_a2		0x00E0
#define	utf_a3		0x1EA3
#define	utf_a4		0x00E3
#define	utf_a5		0x1EA1
#define	utf_A6		0x00C2
#define	utf_A61		0x1EA4
#define	utf_A62		0x1EA6
#define	utf_A63		0x1EA8
#define	utf_A64		0x1EAA
#define	utf_A65		0x1EAC
#define	utf_a6		0x00E2
#define	utf_a61		0x1EA5
#define	utf_a62		0x1EA7
#define	utf_a63		0x1EA9
#define	utf_a64		0x1EAB
#define	utf_a65		0x1EAD
#define	utf_A8		0x0102
#define	utf_A81		0x1EAE
#define	utf_A82		0x1EB0
#define	utf_A83		0x1EB2
#define	utf_A84		0x1EB4
#define	utf_A85		0x1EB6
#define	utf_a8		0x0103
#define	utf_a81		0x1EAF
#define	utf_a82		0x1EB1
#define	utf_a83		0x1EB3
#define	utf_a84		0x1EB5
#define	utf_a85		0x1EB7
#define	utf_E		0x0045
#define	utf_E1		0x00C9
#define	utf_E2		0x00C8
#define	utf_E3		0x1EBA
#define	utf_E4		0x1EBC
#define	utf_E5		0x1EB8
#define	utf_e		0x0065
#define	utf_e1		0x00E9
#define	utf_e2		0x00E8
#define	utf_e3		0x1EBB
#define	utf_e4		0x1EBD
#define	utf_e5		0x1EB9
#define	utf_E6		0x00CA
#define	utf_E61		0x1EBE
#define	utf_E62		0x1EC0
#define	utf_E63		0x1EC2
#define	utf_E64		0x1EC4
#define	utf_E65		0x1EC6
#define	utf_e6		0x00EA
#define	utf_e61		0x1EBF
#define	utf_e62		0x1EC1
#define	utf_e63		0x1EC3
#define	utf_e64		0x1EC5
#define	utf_e65		0x1EC7
#define	utf_O		0x004F
#define	utf_O1		0x00D3
#define	utf_O2		0x00D2
#define	utf_O3		0x1ECE
#define	utf_O4		0x00D5
#define	utf_O5		0x1ECC
#define	utf_o		0x006F
#define	utf_o1		0x00F3
#define	utf_o2		0x00F2
#define	utf_o3		0x1ECF
#define	utf_o4		0x00F5
#define	utf_o5		0x1ECD
#define	utf_O6		0x00D4
#define	utf_O61		0x1ED0
#define	utf_O62		0x1ED2
#define	utf_O63		0x1ED4
#define	utf_O64		0x1ED6
#define	utf_O65		0x1ED8
#define	utf_o6		0x00F4
#define	utf_o61		0x1ED1
#define	utf_o62		0x1ED3
#define	utf_o63		0x1ED5
#define	utf_o64		0x1ED7
#define	utf_o65		0x1ED9
#define	utf_O7		0x01A0
#define	utf_O71		0x1EDA
#define	utf_O72		0x1EDC
#define	utf_O73		0x1EDE
#define	utf_O74		0x1EE0
#define	utf_O75		0x1EE2
#define	utf_o7		0x01A1
#define	utf_o71		0x1EDB
#define	utf_o72		0x1EDD
#define	utf_o73		0x1EDF
#define	utf_o74		0x1EE1
#define	utf_o75		0x1EE3
#define	utf_U		0x0055
#define	utf_U1		0x00DA
#define	utf_U2		0x00D9
#define	utf_U3		0x1EE6
#define	utf_U4		0x0168
#define	utf_U5		0x1EE4
#define	utf_u		0x0075
#define	utf_u1		0x00FA
#define	utf_u2		0x00F9
#define	utf_u3		0x1EE7
#define	utf_u4		0x0169
#define	utf_u5		0x1EE5
#define	utf_U7		0x01AF
#define	utf_U71		0x1EE8
#define	utf_U72		0x1EEA
#define	utf_U73		0x1EEC
#define	utf_U74		0x1EEE
#define	utf_U75		0x1EF0
#define	utf_u7		0x01B0
#define	utf_u71		0x1EE9
#define	utf_u72		0x1EEB
#define	utf_u73		0x1EED
#define	utf_u74		0x1EEF
#define	utf_u75		0x1EF1
#define	utf_Y		0x0059
#define	utf_Y1		0x00DD
#define	utf_Y2		0x1EF2
#define	utf_Y3		0x1EF6
#define	utf_Y4		0x1EF8
#define	utf_Y5		0x1EF4
#define	utf_y		0x0079
#define	utf_y1		0x00FD
#define	utf_y2		0x1EF3
#define	utf_y3		0x1EF7
#define	utf_y4		0x1EF9
#define	utf_y5		0x1EF5
#define	utf_I		0x0049
#define	utf_I1		0x00CD
#define	utf_I2		0x00CC
#define	utf_I3		0x1EC8
#define	utf_I4		0x0128
#define	utf_I5		0x1ECA
#define	utf_i		0x0069
#define	utf_i1		0x00ED
#define	utf_i2		0x00EC
#define	utf_i3		0x1EC9
#define	utf_i4		0x0129
#define	utf_i5		0x1ECB
#define	utf_D		0x0044
#define	utf_D9		0x0110
#define	utf_d		0x0064
#define	utf_d9		0x0111
/*----------------------------------------------------------------------------*/
#define	utf_W		0x0057
#define	utf_w		0x0077
#define	utf_S		0x0053
#define	utf_s		0x0073
#define	utf_F		0x0046
#define	utf_f		0x0066
#define	utf_R		0x0052
#define	utf_r		0x0072
#define	utf_X		0x0058
#define	utf_x		0x0078
#define	utf_J		0x004A
#define	utf_j		0x006A
/*----------------------------------------------------------------------------*/
#include <qstring.h>
/*----------------------------------------------------------------------------*/
typedef unsigned char uchar;
typedef unsigned short ushort;
/*----------------------------------------------------------------------------*/
int ustrcmp(const QString &s1, const QString &s2, bool latin);
/*----------------------------------------------------------------------------*/
#endif

