/*----------------------------------------------------------------------------*/
/*  vdadddb.h                                                                 */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sun, 30 Nov 2003 21:49:22 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef VDADDDB_H
#define VDADDDB_H
/*--------------------------------------------------------------------------*/
#include <qdialog.h>
#include <qlineedit.h>
/*--------------------------------------------------------------------------*/
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QFrame;
class QLabel;
class QPushButton;
class QToolButton;
/*--------------------------------------------------------------------------*/
class VDAddDBDialog: public QDialog
{
	Q_OBJECT

public:
	VDAddDBDialog();

	bool execute();

	QString getDbfName() { return dbfFile->text().stripWhiteSpace(); }
	QString getIdfName() { return idfFile->text().stripWhiteSpace(); }

protected slots:
	void browse();

protected:
	QLineEdit* dbfFile;
	QLineEdit* idfFile;
	QToolButton* dbfBtn;
	QToolButton* idfBtn;
	QPushButton* acceptBtn;
	QPushButton* cancelBtn;
};
/*--------------------------------------------------------------------------*/
#endif
