/*----------------------------------------------------------------------------*/
/*  vdcontentviewer.h                                                         */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef VDCONTENTVIEWER_H
#define VDCONTENTVIEWER_H
/*----------------------------------------------------------------------------*/
#include <qframe.h>
#include <qlabel.h>
/*----------------------------------------------------------------------------*/
class VDContentViewer : public QFrame
{
	Q_OBJECT
public:
	VDContentViewer( QWidget *parent );

	bool systemLink( const QString& );
	QLabel *getWordLabel() { return word; }
	void setHelp(const char *help) { this->help = (char *)help; }
private:
	char *help;
	QLabel *word;

private slots:
	void getlink( const QString& );

public slots:
	void applyDefaultFont();
	void applyDefaultColor();

signals:
	void next();
	void prev();
	void list();
	void edit();
	void about();

	void reference( const QString& );
};
/*----------------------------------------------------------------------------*/
extern VDContentViewer *viewer;
/*----------------------------------------------------------------------------*/
#endif
