/*----------------------------------------------------------------------------*/
/*  data.cpp                                                                  */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#include "data.h"
/*----------------------------------------------------------------------------*/
QString vdAboutText = QString::fromUtf8(
"<CENTER><H2><FONT COLOR=\"#FF0000\">VISC Từ Điển</FONT></H2><HR></CENTER>"
"Release 2.0 alpha 4 (1.94) sử dụng dữ liệu được lưu trữ dang GDBM, "
"nhằm mục đích hỗ trợ việc sửa chữa, thêm, bớt từ dễ dàng hơn. "
"Ngoài một số thay đổi nhằm khắc phục các lỗi có trong release trước, "
"sau đây là  các đặc tính mới trong release 1.93:<BR><UL>"
"<LI>Sử dụng database UTF8"
"<LI>Chỉ sử dụng duy nhất 1 loại font: Unicode"
"<LI>Hỗ trợ các kiểu gõ VIQR đơn giản cho US keyboard để nhập các ký tự Latin (iso8859-1). "
"Khi tạo <A HREF=\"vd://make_index\"><B>Index file</B></A>, người dùng "
"sẽ được hỏi xem kiểu gõ phím cho database tương ứng; Có 2 chọn lựa:"
"<OL>"
"<LI>Vietnamese (Telex, Vni) - Dùng cho các từ điển gốc Việt: Việt-Anh, Việt-Pháp, ..."
"<LI>Latin (VIQR) - Dùng cho các từ điển: Anh-Việt, Pháp-Việt, ..."
"<UL>"
"<LI>a` = à, a' = á, a^ = â, a~ = ã, a: = ä, a* = å"
"<LI>e` = è, e' = é, e^ = ê, e: = ë"
"<LI>i` = ì, i' = í, i^ = î, i: = ï"
"<LI>o` = ò, o' = ó, o^ = ô, o~ = õ, o: = ö"
"<LI>u` = ù, u' = ú, u^ = û, u: = ü"
"<LI>c, = ç, d- = ð, n~ = ñ, o/ = ø, y' = ý, y: = ÿ"
"</UL>"
"</OL>"
"</UL><BR>"
"Chương trình sử dụng thư viện <B>Qt</B> và <B>GDBM</B>, "
"mã nguồn và dữ liệu từ điển có thể tải xuống miễn phí tại các trang web sau:<BR>"
"<UL>"
"<LI><A HREF=\"http://xvnkb.sf.net/\">http://xvnkb.sf.net/</A>"
"<LI><A HREF=\"http://www.visc-network.com/\">http://www.visc-network.com/</A>"
"<LI><A HREF=\"http://vnlinux.org/\">http://vnlinux.org/</A></UL>"
"Xin chân thành cảm ơn:<BR><UL>"
"<LI>Anh <B>Hồ Ngọc Đức</B>"
"<LI>Anh <B>Nguyễn Đại Quý</B>,"
"<LI>Anh <B>Larry Nguyễn</B>"
"<LI>Anh <B>Trần Quang Hoàng</B>"
"<LI>Tất cả các bạn trong <B>VietLUG</B></UL><BR>"
"<B>Công ty Tư vấn và  Phát triển phần mềm VISC (VISC Ltd.)<BR>"
"Nhà 3, Công viên phần mềm Quang Trung<BR>"
"Phường Tân Chánh Hiệp, Quận 12,<BR>"
"Tp. Hồ Chí Minh, VIỆT NAM<BR>"
"Điện thoại: 84-8-7155051   Fax: 84-8-7155050<BR>"
"Website: <A HREF=\"http://www.visc-network.com\">http://www.visc-network.com</A><BR>"
"Email: <A HREF=\"mailto://visc@visc-network.com\">visc@visc-network.com</A></B>");
/*----------------------------------------------------------------------------*/
QString vdMakeIndexHelp = QString::fromUtf8(
"<CENTER><H2><FONT COLOR=\"#FF0000\">CÃ¡ch táº¡o index table</FONT></H2><HR></CENTER>"
"<A HREF=\"back_about\"><B>Back</B></A><BR><UL>"
"<LI>Chá»n <B>Database setting</B> (button cÃ³ hÃ¬nh quyá»n sÃ¡ch)"
"<LI>Nháº¥n vÃ o <B>Add button</B>"
"<LI>Nháº­p tÃªn vÃ  ÄÆ°á»ng dáº«n cá»§a tá»« Äiá»n (full path+filename) vÃ o Ã´ cá»­a "
"sá» nháº­p (input box) cÃ³ tÃªn lÃ  \"<B>Data file</B>\". Hoáº·c báº¡n cÃ³ thá» nháº¥n vÃ o "
"button \"...\" ngay bÃªn cáº¡nh Äá» tÃ¬m (browse) tá»i ÄÃºng file cáº§n thiáº¿t "
"<LI>Báº¡n cÃ³ thá» chá»n tÃªn vÃ  nÆ¡i lÆ°u trá»¯ index table file báº±ng cÃ¡ch nháº­p "
"Äáº§y Äá»§ cÃ¡c thÃ´ng tin vÃ o Ã´ \"<B>Index file</B>\". Hoáº·c cÃ¡ch tá»t nháº¥t lÃ  bá» "
"trá»ng Ã´ nÃ y Äá» chÆ°Æ¡ng trÃ¬nh tá»± Äá»ng sinh ra. Trong trÆ°á»ng há»£p file "
"index ÄÃ£ cÃ³ báº¡n cÅ©ng cÃ³ thá» nháº¥n nÃºt \"...\" Äá» chá»n mÃ  khÃ´ng cáº§n "
"táº¡o láº¡i."
"<LI>Nháº­p cÃ¡c mÃ´ táº£ (<B>Description</B>) cho tá»« Äiá»n, cÃ¡c mÃ´ táº£ nÃ y sáº½ hiá»n lÃªn "
"trÃªn tab hiá»n thá» cá»§a tá»« Äiá»n nÃ y. "
"<LI>Sau khi báº¡n ÄÃ£ cháº¥p nháº­n (accept) táº¥t cáº£ nhá»¯ng gÃ¬ mÃ  chÆ°Æ¡ng trÃ¬nh "
"há»i, thÃ¬ chÆ°Æ¡ng trÃ¬nh sáº½ báº¯t Äáº§u tiáº¿n hÃ nh táº¡o index file (hiá»n thá» má»t "
"cá»­a sá» vÃ  Äáº¿m cÃ¡c tá»« cÃ³ trong tá»« Äiá»n cá»§a báº¡n) "
"<LI>QÃºa trÃ¬nh táº¡o index káº¿t thÃºc, tab phÃ­a bÃªn trÃ¡i cá»§a chÆ°Æ¡ng trÃ¬nh sáº½ "
"hiá»n thá» tá»« Äiá»n cá»§a báº¡n. Báº¡n cÃ³ thá» lÃ m viá»c tá»« bÃ¢y giá»</UL><A HREF=\"back_about\"><B>Back</B></A>");
/*----------------------------------------------------------------------------*/
QTabWidget *dicttab = NULL;
/*----------------------------------------------------------------------------*/

