/*----------------------------------------------------------------------------*/
/*  vdworkframe.cpp                                                           */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#include <stdlib.h>
#include <unistd.h>
#include "vdlookupframe.h"
#include "data.h"
/*----------------------------------------------------------------------------*/
bool VDLookupFrame::userInput = false;
bool VDLookupFrame::showingAbout = false;
VDTextBrowser *VDLookupFrame::contents = NULL;
QLabel *VDLookupFrame::word = NULL;
/*----------------------------------------------------------------------------*/
/* class VDLookupFrame                                                        */
/*----------------------------------------------------------------------------*/
VDLookupFrame::VDLookupFrame( QWidget *parent, const char *name ) : QWidget( parent, name )
{
	grid = new QVBoxLayout( this, 4 );
	grid->addWidget( edit = new VDVietEdit( this ) );
}
/*----------------------------------------------------------------------------*/
VDLookupFrame::~VDLookupFrame()
{
	delete edit;
	delete grid;
}
/*----------------------------------------------------------------------------*/
void VDLookupFrame::setWidgets( QLabel *w, VDTextBrowser *c )
{
	word = w;
	contents = c;
}
/*----------------------------------------------------------------------------*/
void VDLookupFrame::displayAbout()
{
	word->setText( "About" );
	contents->setText( vdAboutText );
	showingAbout = true;
}
/*----------------------------------------------------------------------------*/
