/*----------------------------------------------------------------------------*/
/*  vdworkframe.h                                                             */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef VDLOOKUPFRAME_H
#define VDLOOKUPFRAME_H
/*----------------------------------------------------------------------------*/
#include <qwidget.h>
#include <qlayout.h>
#include <vdwidgets.h>
#include <vdeditor.h>
/*----------------------------------------------------------------------------*/
class VDLookupFrame : public QWidget
{
	Q_OBJECT
	
protected:
	VDVietEdit *edit;
	QBoxLayout *grid;
	
	static QLabel *word;
	static VDTextBrowser *contents;
	static bool showingAbout;
	static bool userInput;
public:
	VDLookupFrame(QWidget *parent=0, const char *name=0);
	virtual ~VDLookupFrame();

	virtual bool showEditor( VDEditor* ) { return false; }
	virtual void history( int ) {}
	virtual void activate() {}

	static void displayAbout();
	static void setWidgets( QLabel *w, VDTextBrowser *c );
};
/*----------------------------------------------------------------------------*/
#endif
