/*----------------------------------------------------------------------------*/
/*  vdhistorydialog.cpp                                                       */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#include <vdictdb.h>
#include <resource.h>
#include "vdrecentdialog.h"
#include "data.h"
/*----------------------------------------------------------------------------*/
#include <unistd.h>
/*----------------------------------------------------------------------------*/
VDRecentDialog::VDRecentDialog( QWidget *parent, const char *name ):
						QDialog( parent, name, true )
{
	this->resize(190,230);
	this->setFixedSize(190,230);
	this->setCaption("Recent word");
	
	list = new QListBox(this);
	list->setGeometry(0,0,190,230);
	list->setFont( Resource::defaultFont );
	connect( list, SIGNAL( selected(int) ), SLOT( done(int) ) );
}
/*----------------------------------------------------------------------------*/
const char *VDRecentDialog::show(VDictDB *d, QPoint p)
{
	list->setFont( Resource::defaultFont );
	list->clear();
	d->getRecent()->list( list );
	list->setFocus();
	move( p );
	if( QDialog::exec() )
		return list->currentText();
	return NULL;
}
/*----------------------------------------------------------------------------*/
