/*----------------------------------------------------------------------------*/
/*  fdapplication.h                                                           */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef FDAPPLICATION_H
#define FDAPPLICATION_H
/*----------------------------------------------------------------------------*/
#include <qfont.h>
#include <qwidget.h>
#include <qmessagebox.h>
#include <qfontdatabase.h>
#include <qapplication.h>
#if QT_VERSION >= 0x030200
#include <private/qt_x11_p.h>
#else
#include <qt_x11.h>
#endif
/*----------------------------------------------------------------------------*/
class FDApplication : public QApplication
{
	Q_OBJECT

private:
	Atom fd_atom;
	Display *fd_display;

public:
	FDApplication(int argc, char *argv[]);
	~FDApplication();

	virtual void setMainWidget( QWidget* );
};
/*----------------------------------------------------------------------------*/
#endif
