/*----------------------------------------------------------------------------*/
/*  fdlookup.h                                                                */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef FDLOOKUP_H
#define FDLOOKUP_H
/*----------------------------------------------------------------------------*/
#include <qdialog.h>
#include <qscrollbar.h>
#include "vdwidgets.h"
/*----------------------------------------------------------------------------*/
class FDLookup : public QDialog {
	Q_OBJECT
public: 
	FDLookup();
	~FDLookup();
	void popup( int index=-1 );
	void updateInfo();
private:
	VDListBox *list;
	VDVietEdit *edit;
	QScrollBar *sbar;
	bool onLookup;
	int topItem;
private slots: // Private slots
	void lookup();
	void browse( int );
	void highlighted( int );
	void reference( int );
	void reference();
	void itemChanged( int );
protected:
	bool event( QEvent * );
};
/*----------------------------------------------------------------------------*/
#endif
