/*----------------------------------------------------------------------------*/
/*  vdeditor.h                                                                */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef VDEDITOR_H
#define VDEDITOR_H
/*----------------------------------------------------------------------------*/
#include "vdwidgets.h"
#include "vdictdb.h"
/*----------------------------------------------------------------------------*/
class VDEditor : public QFrame
{
	Q_OBJECT
public:
	VDEditor( QWidget *parent );

	void applyDefaultFont();
	void startEdit(VDictDB *dict, int index);
private:
	int current;
	QLabel *word;
	VDMultiLineEdit *editor;
	VDictDB *dict;
private slots:
	void prev();
	void next();
	void write();

public slots:
signals:
	void save();
};
/*----------------------------------------------------------------------------*/
#endif
