/*----------------------------------------------------------------------------*/
/*  vdproperty.h                                                              */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sun, 30 Nov 2003 21:49:22 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef VDPROPERTY_H
#define VDPROPERTY_H
/*--------------------------------------------------------------------------*/
#include <qdialog.h>
#include <qpushbutton.h>
#include <vdictpro.h>
/*--------------------------------------------------------------------------*/
class VDPropertyDialog: public QDialog
{
	Q_OBJECT

public:
	VDPropertyDialog(VDictDB *dict);

	bool execute();

protected slots:
	void infoChanged();

protected:
	VDictProperty *dictProperty;
	QPushButton* acceptBtn;
	QPushButton* cancelBtn;
};
/*--------------------------------------------------------------------------*/
#endif
