/*----------------------------------------------------------------------------*/
/*  visckey.h                                                                 */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef __VISCKEY_H
#define __VISCKEY_H
/*----------------------------------------------------------------------------*/
#define VK_OFF		0
#define VK_VNI		1
#define VK_TELEX	2
#define VK_LATIN	3
/*----------------------------------------------------------------------------*/
typedef struct {
	int length;
	unsigned short data[64];
} vkword_t;
/*----------------------------------------------------------------------------*/
extern long VKAddKey(char key);
extern void VKClearBuffer();
extern void VKBackDelete();
extern int VKShiftBuffer();
/*----------------------------------------------------------------------------*/
extern int visckey;
extern vkword_t currentword;
/*----------------------------------------------------------------------------*/
#endif
