/*----------------------------------------------------------------------------*/
/*  vd.h                                                                      */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef VD_H
#define VD_H
/*----------------------------------------------------------------------------*/
#include <qstring.h>
#include <qtoolbar.h>
#include <qpixmap.h>
/*----------------------------------------------------------------------------*/
#include <qapplication.h>
#include <qlabel.h>
#include <qcolor.h>
#include <qpushbutton.h>
#include <qlayout.h>
/*----------------------------------------------------------------------------*/
#include "vdwidgets.h"
/*----------------------------------------------------------------------------*/
class VD : public QWidget
{
	Q_OBJECT
	friend class VDWordFrame;
public:
    VD();
    ~VD();
	void setFont( const QFont& );
public slots:

private:
	QLabel* word;
	bool showAbout;
private slots:
	void about();
	void configure();
	void setLibrary();
	void historyNext();
	void historyPrev();
	void historyList();
	void updateTab( int );
	void deleteTab( int );
	void moveTab( int, int );
	void modifyTab( int );
	void changeTab( QWidget* );
	void edit();
	void save();
protected slots:
protected:
private:
	void setBackground();
};
/*----------------------------------------------------------------------------*/
#endif






