/*----------------------------------------------------------------------------*/
/*  vdictclient.cpp                                                           */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#include <qcstring.h>
#include "vdictclient.h"
/*----------------------------------------------------------------------------*/
static QCString buffer;
/*----------------------------------------------------------------------------*/
bool needCheckStatus;
/*----------------------------------------------------------------------------*/
VDictClient::VDictClient( QListViewItem *link ) : QObject()
{
//	QString
//	socket.connect( host, port );
	connect( &socket, SIGNAL( connected() ), SLOT( slotSocketConnected() ) );
	connect( &socket, SIGNAL( connectionClosed() ), SLOT( slotSocketConnectionClosed() ) );
	connect( &socket, SIGNAL( error( int ) ), SLOT( slotSocketError( int ) ) );
}
/*----------------------------------------------------------------------------*/
VDictClient::~VDictClient()
{
}
/*----------------------------------------------------------------------------*/
void VDictClient::slotSocketConnected()
{
	connect( &socket, SIGNAL( readyRead() ), SLOT( slotSocketReadyRead() ) );
}
/*----------------------------------------------------------------------------*/
void VDictClient::slotSocketReadyRead()
{
	while( socket.canReadLine() )
	{
		QString s = socket.readLine();
		if( needCheckStatus )
		{
			int ss = s.left( 3 ).toInt();
			if( ss>=500 )
			{
				// error
			}
			else
			if( ss>=400 )
			{
				// server error
			}
			else
			if( ss>=200 )
			{
				// message
			}
			else
			switch( ss )
			{
			}
		}
	}
}
/*----------------------------------------------------------------------------*/
void VDictClient::slotSocketConnectionClosed()
{
	disconnect( &socket, SIGNAL( readyRead() ), 0, 0 );
//	socket.connect( host, port );
}
/*----------------------------------------------------------------------------*/
void VDictClient::slotSocketError( int )
{
}
/*----------------------------------------------------------------------------*/
