/*----------------------------------------------------------------------------*/
/*  vdictclient.h                                                             */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef VDICTCLIENT_H
#define VDICTCLIENT_H
/*----------------------------------------------------------------------------*/
#include <qwidget.h>
#include <qobject.h>
#include <qsocket.h>
#include <qlistview.h>
/*----------------------------------------------------------------------------*/
class VDictClient : public QObject
{
	Q_OBJECT
private:
	QSocket socket;
private slots:
	void slotSocketConnected();
	void slotSocketReadyRead();
	void slotSocketConnectionClosed();
	void slotSocketError( int );
public:
	VDictClient( QListViewItem* );
	~VDictClient();
};
/*----------------------------------------------------------------------------*/
#endif
