/*----------------------------------------------------------------------------*/
/*  vdwordframe.h                                                             */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef VDLOCALLOOKUPFRAME_H
#define VDLOCALLOOKUPFRAME_H
/*----------------------------------------------------------------------------*/
#include <qscrollbar.h>
#include "vdictdb.h"
#include "vdlookupframe.h"
/*----------------------------------------------------------------------------*/
class VDLocalLookupFrame : public VDLookupFrame
{
	Q_OBJECT

private:
	VDListBox *list;
	QScrollBar *sbar;
	VDictDB *dict;
	int topItem;
	bool onLookup;

private slots: // Private slots
	void lookup();
	void browse( int );
	void select( int );
	void reference();
	void reference( int );
	void reference( const QString& );
	void itemChanged( int );
protected:
public:
	VDLocalLookupFrame( VDictDB *vdict, QWidget *parent=0, const char *name=0 );
	virtual ~VDLocalLookupFrame();
	bool showEditor( VDEditor* );
	void history( int );
	void activate();
};
/*----------------------------------------------------------------------------*/
#endif
