/*----------------------------------------------------------------------------*/
/*  vdremotelookupframe.h                                                     */
/*----------------------------------------------------------------------------*/
/*  copyright         : (C) 2002 by Dao Hai Lam                               */
/*                      VISC Software & Security Consultant Company           */
/*                      Hall 3, Quang Trung Software City                     */
/*                      Tan Chanh Hiep Ward, District 12,                     */
/*                      Ho Chi Minh city, VIETNAM                             */
/*  website           : http://www.visc-network.com                           */
/*  email             : daohailam at yahoo dot com                            */
/*  last modify       : Sat, 27 Sep 2003 14:31:05 +0700                       */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*   This program is free software; you can redistribute it and/or modify     */
/*   it under the terms of the GNU General Public License as published by     */
/*   the Free Software Foundation; either version 2 of the License, or        */
/*   (at your option) any later version.                                      */
/*                                                                            */
/*----------------------------------------------------------------------------*/
#ifndef VDDICTFRAME_H
#define VDDICTFRAME_H
/*----------------------------------------------------------------------------*/
#include <qlistview.h>
#include <qcombobox.h>
#include "vdwidgets.h"
#include "vdlookupframe.h"
/*----------------------------------------------------------------------------*/
class VDRemoteLookupFrame : public VDLookupFrame
{
	Q_OBJECT
private:
	QListView *list;
	QComboBox *type;
public:
	VDRemoteLookupFrame(QWidget *parent=0, const char *name=0);
	virtual ~VDRemoteLookupFrame();
	void addDictServer( const char *host, int port );
private slots: // Private slots
	void dictinfo( QListViewItem* );
};
/*----------------------------------------------------------------------------*/
#endif
